<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


only_reg();
if(isset($_GET['id']))$video=mysql_fetch_assoc(mysql_query("SELECT * FROM `video_album` WHERE `id` = '".intval($_GET['id'])."'"));
$set['title']='Добавление видео';
include_once '../sys/inc/thead.php';
title();

if(mysql_result(mysql_query("SELECT COUNT(*) FROM `video_zapret` WHERE `id_user`='$user[id]' AND `zapret`='0'"),0)==1){
msg('Вам запрещено выгружать видео');
echo "<div class='foot'>\n";
echo "<img src='back.png' /> <a href='album.php?id=$video[id]'>В альбом</a><br />\n";
echo "<a href='index.php'>Видеоальбомы</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
}


if($video['id_user']!=$user['id'])header("Location: index.php");
if (isset($_POST['ok']))
{
if (!isset($_FILES['file']))$err[]='Ошибка при выгрузке файла';
elseif (!isset($_FILES['file']['tmp_name']) || filesize($_FILES['file']['tmp_name'])>$upload_max_filesize)$err[]='Размер файла превышает установленные ограничения';
else
{

$file=esc(stripcslashes(htmlspecialchars($_FILES['file']['name'])));

$file=preg_replace('(\#|\?)', NULL, $file);

$name=preg_replace('#\.[^\.]*$#', NULL, $file); // имя файла без расширения
$ras=strtolower(preg_replace('#^.*\.#', NULL, $file));
$type=$_FILES['file']['type'];
$size=filesize($_FILES['file']['tmp_name']);
$ras1='3gp;mpeg;mp4';
$rasss=explode(';', $ras1);
$ras_ok=false;
for($i=0;$i<count($rasss);$i++)
{
if ($rasss[$i]!=NULL && $ras==$rasss[$i])$ras_ok=true;
}

if (!$ras_ok)$err='Неверное расширение файла';
}



$opis=NULL;
if (isset($_POST['opis']))
$opis=stripslashes(htmlspecialchars(esc($_POST['opis'])));

if (!isset($err))
{
mysql_query("INSERT INTO `video_user` (`id_album`, `name`, `ras`, `time`, `id_user`, `opis` )
VALUES ('$video[id]', '$name', '$ras', '$time', '$user[id]', '$opis' )");
$id_file=mysql_insert_id();
if (!@copy($_FILES['file']['tmp_name'], H."sys/video/files/$id_file.vid"))
{
mysql_query("DELETE FROM `video_user` WHERE `id` = '$id_file' LIMIT 1");
$err[]='Ошибка при выгрузке';
}
}

if (!isset($err))
{

chmod(H."sys/video/files/$id_file.vid", 0666);
header("Location: video.php?id=".$id_file);
}
}

err();
aut();



echo "<form class=\"foot\" enctype=\"multipart/form-data\" action=\"?id=".$video['id']."\" method=\"post\">";

echo "Файл: <br />\n";
echo "<input name=\"file\" type=\"file\" /><br />\n";
echo "Описание:<br />\n";
echo "<textarea name='opis'></textarea><br /><br />\n";

echo "* Параметры сервера позволяют выгружать файлы размером до ".size_file($upload_max_filesize)."<br />* Разрешено выгружать файлы форматов: 3gp, mpeg, mp4<br />\n";
echo "<input class=\"submit\" name=\"ok\" type=\"submit\" value=\"Выгрузить\" /><br />\n";
echo "</form>";


echo "<div class='foot'>\n";
echo "<img src='back.png' /> <a href='album.php?id=$video[id]'>В альбом</a><br />\n";
echo "<img src='back.png' /> <a href='index.php'>Видеоальбомы</a><br />\n";
echo "</div>\n";


include_once '../sys/inc/tfoot.php';
?>